//	
//	Copyright 2001 [MEAN].BOT
//	
//	File: MB_Debug.h
//	
//	Contains routines used to trace through the code execution 
//  sequence.
//	

//.b skip over if header has already been included.
//
	#ifndef defMB_Debug_h
	#define defMB_Debug_h
	#include "MB_Directive.h"
	#include <stdio.h>
	#ifdef __linux__
		#include <string>
		using namespace std;
	#else
		#include <cstring.h>
	#endif
	//.b	definition of tclRecordEngCall
		class tclDebugTrace
		{
			private:
				FILE *vna_ptrRecFile;
				string vtxFileName;
				
			public:

				tclDebugTrace( string ptxFileName );
	
				void fvoWriteEventHeader 
					(	bool pboDebugOn,
						string ptxModule,
						string ptxRoutine);
				
				void fvoWriteEventInfo(	bool pboDebugOn, string ptxInfo );
				void fvoWriteEventInfo(	string ptxInfo );
				string ftxGetFileName( ) { return vtxFileName; };

		};	// tclDebugTrace

		extern tclDebugTrace vclDebugTrace;
		extern tclDebugTrace vclMapLoadTrace;
		extern tclDebugTrace vclClientConnTrace;
		extern tclDebugTrace vclClientBanLog;

	#endif // defMB_Debug_h
//
//.e skip over if header has already been included.
