//.b 	
//	Copyright 2001 [MEAN].BOT
//	
//	File: MA_Text.h
//	
//	[MEAN] Text Message Loader. 
//
//.e	

//.b skip over if header has already been included.
	#ifndef defMA_Text_h

	// Prevent the reprocessing of this definition file by defining 
	// the alias used in the above "ifndef" check.
		#define defMA_Text_h

	// Include all general definition files.
		#include "MB_Includes.h"
		#include "MA_time.h"

	const string ctxConnMsgFile = "connmsg.txt";
	
	class tclTextLine
	{
		public:
			string vtxText;
			tclTextLine* vcl_ptrNext;
			tclTextLine( );
	}; // tclTextLine

	class tclConnMsg 
	{
		public:
			int vinLineCount;
			tclTextLine* vcl_ptrCur;
			tclTextLine* vcl_ptrFirst;
			tclTextLine* vcl_ptrLast;
			tclTextLine* vcl_ptrTemp;

			tclConnMsg( );
			~tclConnMsg( );

			bool fboTextLineIsValid( string ptxMsgLine, tclTextLine* pcl_ptrTextLine );
			void fvoDestroyList( );
			void fvoLoadList( edict_t* pst_ptrEdict );
			void fvoLoadList( );

			void fvoDisplayMsg( edict_t* pst_ptrEdict );

	}; // tclConnMsg

	const string ctxPopupMsgFile = "popupmsg.txt";
	const float vflDelayInSec_DEFAULT = 600.0; // 300 = five mins

	class tclPopupMsg 
	{
		public:
			int vinLineCount;
			float vflDelayInSec;
			tclTimer vclTimer_Pop;
			tclTextLine* vcl_ptrCur;
			tclTextLine* vcl_ptrFirst;
			tclTextLine* vcl_ptrLast;
			tclTextLine* vcl_ptrTemp;

			tclPopupMsg( );
			~tclPopupMsg( );

			bool fboTextLineIsValid( string ptxMsgLine, tclTextLine* pcl_ptrTextLine );
			void fvoDestroyList( );
			bool fboAddLine( edict_t* pst_ptrEdict, string ptxLine );
			void fvoLoadList( edict_t* pst_ptrEdict );
			void fvoLoadList( );
			void fvoLoadDefaultList( );
			void fvoSetTimeDelayInSec( float pflSec );
			void fvoDisplayMsg( );

	}; // tclPopupMsg

	class tclMA_Text
	{
		public:
			tclConnMsg vclConnMsg;
			tclPopupMsg vclPopupMsg;
			tclMA_Text( );
			~tclMA_Text( );
	};
	
	extern tclMA_Text vclMA_Text;

	#endif // defMA_Text_h
//.e skip over if header has already been included.

