//.b
//		BOT Interface Layer 2. 
//		
//		File: MB_InterfaceL2.cpp
//
//		Copyright 2001 [MEAN]=The.Bot.Meister (tm)
//
//.e	
#include "MB_Includes.h"
#include "MB_InterfaceL2.h" 
#include "MA_GlobalVars.h" 
#include "MG_Lib.h"
#include "MI_Hud.h"
#include "MI_Map.h"
#include "MI_Sound.h"
#include "MI_player.h"
#include "MA_Player.h"
#include "MA_Bot.h"
#include "MA_EngDLLCmd.h"
#include "MA_Weapon.h"
#include "MA_Cmd.h"

//.b	Debug declarations.
	const bool cboDebugAll = false;
	extern tclDebugTrace vclDebugTrace;
//.e

//.b	Interface object declarations.
	tclInterfaceL2 vclInterfaceL2;

//.e

bool tclInterfaceL2::finStartUp 
	(void)
{
	vboBroken = false;
	return true;
}

bool tclInterfaceL2::finShutDown 
	(void)
{
	vboBroken = false;
	return true;
}

void tclInterfaceL2::fvoAddBot 
	( string tvxBotName )
{

	edict_t *vst_ptrEdict;  // this is a pointer to the engine's edict structure
  
	vst_ptrEdict = 
		vstENGFuncsBot.pfnCreateFakeClient ( tvxBotName.c_str( ) );

	//	player( VARS(BotEnt) ); Line below replaces this one.
	vclInterfaceL1.fvoCreateEntityPlayer( vst_ptrEdict );

   //	infobuffer = g_engfuncs.pfnGetInfoKeyBuffer)( vst_ptrEntity )
	// infobuffer = fch_ptrGetInfoKeyBuffer( vst_ptrEdict );
   // int clientIndex = ENTINDEX( vst_ptrEdict );
	// g_engfuncs.pfnSetClientKeyValue( clientIndex, infobuffer, "model", "gina" );
	
	if ( fboSetClientKeyValue ( vst_ptrEdict, "model", "gina" ) == false )
	{
		return;
	}
	// or
	// g_engfuncs.pfnSetModel ( vst_ptrEdict, "gina" );

	vst_ptrEdict->v.flags |= FL_FAKECLIENT;  
//	vst_ptrEdict->v.flags &= ~FL_FAKECLIENT;
//   vst_ptrEdict->v.flags |= FL_SPECTATOR;
	char szRejectReason[ 128] = "";

	vstDLLFuncsBot.pfnClientConnect
		( vst_ptrEdict, 
		  tvxBotName.c_str( ), 
		  "127.0.0.3", szRejectReason );

   vstDLLFuncsOrig.pfnClientPutInServer( vst_ptrEdict );
	
	vst_ptrEdict->v.flags |= FL_FAKECLIENT;
//	vst_ptrEdict->v.flags &= ~FL_FAKECLIENT;
//	vst_ptrEdict->v.flags |= FL_SPECTATOR;

//	FakeClientCommand( pEdict, "menuselect", 5, NULL );


} // tclInterfaceL2::fvoAddBot 

void tclInterfaceL2::fvoDisplayPlayerSlotStatus (void)
{
	string vtxNumFreePublicSlots = ftxIntToString(vclPlayerSlot.fboNumFreePublicSlots());
	string vtxNumPublicSlots = ftxIntToString(vclPlayerSlot.fboNumPublicSlots());

	string vtxMsg = 
		"\n" + ctxMsgPrefix + "There are now " + vtxNumFreePublicSlots + 
		" out of " + vtxNumPublicSlots + " public slots available.";

	vclDebugTrace.fvoWriteEventInfo (true, vtxMsg);
	vtxMsg += "\n";
	vstENGFuncsOrig.pfnServerPrint(vtxMsg.c_str());

} // tclInterfaceL2::fvoDisplayPlayerSlotStatus
