//.b 	
//	Copyright 2001 [MEAN].BOT
//	
//	File: MI_Hud.h
//	
//	[MEAN] "Heads Up Display" class definitions.
//
//.e	

//.b skip over if header has already been included.
#ifndef defMI_HUD_h

	// Prevent the reprocessing of this definition file by defining 
	// the alias used in the above "ifndef" check.
	#define defMI_HUD_h

	// Include all general definition files.
	#include "MB_Includes.h"
	#include "MB_InterfaceL1.h"
	#include "MI_Util.h"
	#include "MA_Sched.h"

	const int cinMaxMsgLen = 79;

	class tclHUD
	{
		public:
			void fvoCenterSay( string ptxMsg, bool pboTrace = true );
			void fvoISay( edict_t* pst_ptrEdict, string ptxMsg );
			void fvoCenterSayRed( string ptxMsg, bool pboTrace = true  );
			void fvoCenterSayBlue( string ptxMsg, bool pboTrace = true  );
			void fvoStatusSay( string ptxMsg, bool pboTrace = true  );
			void fvoCenterMessageAll( string ptxMsg );
			void fvoChatMessageAll( string ptxMsg );
			void fvoSayWithDelay( string vtxMsgType, string ptxMsg, float vflDelay );
	};

	extern tclHUD vclHUD;

	// Event Functions for use with event schedular;

	void fvoMI_HUD_Event_HUDDisplay( tclArgList& pclArgList );

#endif // defMI_HUD_h
