//.b 	
//	Copyright 2001 [MEAN].BOT
//	
//	File: MI_Player.cpp
//	
//	[MEAN] 
//
//.e	

	#include "MB_Includes.h"
	#include "MI_player.h"
	#include "MA_Player.h"
	#include "MG_Lib.h"
	#include "MI_Sound.h"
	#include "MI_Hud.h"
	#include "MA_EngDLLCmd.h"
	#include "MI_Map.h"
	#include "MA_Security.h"
	#include <time.h>

// Define Globals
	tclPlayerSlot vclPlayerSlot;
	tclTimeBomb vclTimeBomb;

// *****
//	BEGIN.tclPlayer
//
	tclSlot::tclSlot (void)
	{
		vst_ptrEdict = NULL;
		vinUserId = 0;
		vinPlayerIdx = 0;
		vtxName = "";
		vtxAuthId = "";
		vtxAddress = "";
		vboSilenced = false;
		vboMuted = false;
		vboAllowedOnBotTeam = false;
		vinAllowedOnClanTeam = cinNotSet;
		vinAllowedOffClanTeam = cinNotSet;
		vboPublic = true;
		vboJustArrived = false;
		vinTKBotCount = 0;
		vinTKHumanCount = 0;
//		vboIsSrvOp = false;
//		vboIsAdmin = false;
//		vboIsClan = false;
//		vboIsGuest = false;
//		vboIsPublic = false;
//		vinRank = cinRank_PUBLIC;
	} // tclSlot::tclSlot

	void tclSlot::fvoClearPlayer (void)
	{
		vst_ptrEdict = NULL;
		vinUserId = 0;
		vinPlayerIdx = 0;
		vtxName = "";
		vtxAuthId = "";
		vtxAddress = "";
		vboSilenced = false;
		vboMuted = false;
		vboAllowedOnBotTeam = false;
		vinAllowedOnClanTeam = cinNotSet;
		vinAllowedOffClanTeam = cinNotSet;
		vboJustArrived = false;
		vinTKBotCount = 0;
		vinTKHumanCount = 0;
//		vboIsAdmin = false;
//		vboIsSrvOp = false;
//		vboIsAdmin = false;
//		vboIsClan = false;
//		vboIsGuest = false;
//		vboIsPublic = false;
//		vinRank = cinRank_PUBLIC;
	} // tclSlot::fvoClearPlayer

	int tclSlot::finSetPlayerInfo( edict_t* pst_ptrEdict )
	{
		// validate player data before initializing

		if ( pst_ptrEdict == NULL )
			return cinNullEdictPointer;

		vst_ptrEdict = pst_ptrEdict;
		vtxName = vclPlayer.ftxGetPlayerNameByEdict( pst_ptrEdict );

		if ( vtxName.empty( ) )
			return cinPlayerNameIsEmpty;

		vinUserId = vclPlayer.finGetUserIdByEdict( pst_ptrEdict );
		
		if ( vst_ptrEdict != NULL )
			vstVector = vst_ptrEdict->v.origin;

		vboJustArrived = true;
		vinTKBotCount = 0;
		vinTKHumanCount = 0;

// "mean_pw" "guard249"
//		string vtxMean_pw = ftxGetEdictKeyValue ( vst_ptrEdict, "mean_pw" );
//		vboIsAdmin = "guard249" == vtxMean_pw;
		
/*		tclUser* vclUser = vclSecurity.finAuthenticate( pst_ptrEdict );

		if ( vclUser != NULL )
		{
			vboIsSrvOp  = vclUser->vboAccessLevel_SrvOp;
			vboIsAdmin  = vclUser->vboAccessLevel_Admin;
			vboIsClan   = vclUser->vboAccessLevel_Clan;
			vboIsGuest  = vclUser->vboAccessLevel_Guest;
			vboIsPublic = vclUser->vboAccessLevel_Public;
			vinRank		= vclUser->vinRank;
		}
		else
		{ // this condition should never occur, but we allow for
		  // it in the event of a software error.
			vboIsSrvOp  = false;
			vboIsAdmin  = false;
			vboIsClan   = false;
			vboIsGuest  = false;
			vboIsPublic = true;
			vinRank		= cinRank_PUBLIC;
		}
*/
//		if (ptxAuthId.empty())
//			return cinAuthIdIsEmpty;

//		if (ptxAddress.empty())
//			return cinAddressIsEmpty;

		// below line will detect invalid user id.
//		int vinFoundPlayerIdx = UTIL_GetPlayerIndexById (pinUserId);
//
//		if (vinFoundPlayerIdx <= 0)
//			return cinPlayerNotFound;


//		vtxAuthId = ptxAuthId;
//		vtxAddress = ptxAddress;
//		vinPlayerIdx = vinFoundPlayerIdx;

		return cinSuccessfull;

	} // tclSlot::finSetPlayerInfo
	
	bool tclSlot::fboSlotIsFree(void)
	{
		return vinUserId == 0;
				
	} // tclSlot::fboSlotIsFree

	bool tclSlot::fboSlotIsPublic(void)
	{
		return vboPublic;
				
	} // tclSlot::fboSlotIsPublic

	bool tclSlot::fboPlayerIsMuted(void)
	{
		return vboMuted;
	} // tclSlot::fboPlayerIsMuted

	bool tclSlot::fboPlayerIsSilenced(void)
	{
		return vboSilenced;
	} // tclSlot::fboPlayerIsSilenced

	void tclSlot::fvoSetPlayerMuteFlag(bool pboMuted)
	{
		vboMuted = pboMuted;
	} // tclSlot::fvoSetPlayerMuteFlag

	void tclSlot::fvoSetPlayerSilenceFlag(bool pboSilenced)
	{					 
		vboSilenced = pboSilenced;
	} // tclSlot::fvoSetPlayerSilenceFlag

	string tclSlot::ftxPlayerName (void)
	{
		return vtxName;
	} // tclSlot::ftxPlayerName

	string tclSlot::ftxPlayerAuthId (void)
	{
		return vtxAuthId;
	} // tclSlot::ftxPlayerAuthId

	string tclSlot::ftxPlayerAddress (void)
	{
		return vtxAddress;
	} // tclSlot::ftxPlayerAddress

	bool tclSlot::fboPlayerHasMoved( bool& pboInGame, bool& pboIsAlive )
	{
		if ( fboSlotIsFree( ) )
		{
		// non-existant players cannot move
			pboInGame = false;
			pboIsAlive = false;
			vboJustArrived = true;
			vinTKBotCount = 0;
			vinTKHumanCount = 0;
			return false;
		}

		if ( vst_ptrEdict == NULL )
		{
		// non-existant players cannot move
			pboInGame = false;
			pboIsAlive = false;
			vboJustArrived = true;
			vinTKBotCount = 0;
			vinTKHumanCount = 0;
			return false;
		}

		if ( !vclPlayer.fboPlayerIsAliveByEdict( vst_ptrEdict ) )
		{
		// dead players cannot move
			pboInGame = true;
			pboIsAlive = false;
		//!! hack: prevents players from being kicked right after
		//!! they respawn from a death;
			vboJustArrived = true;
		// change vector to something impossible;
			vstVector.x = 99999;
			vstVector.y = -99999;
			vstVector.z = 99999;
			return false;
		}

		Vector vstVector_Prev = vstVector;		
		vstVector = vst_ptrEdict->v.origin;

		pboInGame = true;
		pboIsAlive = true;

		if ( vboJustArrived )
		{
		// hack - prevents kick from a player that just arrived on scene
			vboJustArrived = false;
			return true;
		}

		return ( vstVector != vstVector_Prev );

	} // tclSlot::fboPlayerHasMoved

//
// END.tclSlot
// *****

// *****
//	BEGIN.tclPlayerSlot
//
	tclPlayerSlot::tclPlayerSlot (void)
	{
		vboAllowPlayerConnections = true;
		vboAutoKickAFK = true;
		vinAutoAFKKickTimeout = cinAutoAFKKickTimeout_DEFAULT;

	} // tclPlayerSlot::tclPlayerSlot

	bool tclPlayerSlot::fboSlotIndexIsValid (int pinIdx)
	{
		return (pinIdx >= 0 && pinIdx < cinMaxPlayerSlots);

	} // tclPlayerSlot::fboSlotIndexIsValid

	int tclPlayerSlot::finMakeSlotFree (int pinIdx)
	{
		if (fboSlotIndexIsValid (pinIdx) == false)
		{
			return cinInvalidSlotIndex;
		}
		
		vcl_aryPlayer[pinIdx].fvoClearPlayer ();
		// Operation was successfull, return freed slot index.
		return pinIdx;

	} // tclPlayerSlot::finMakeSlotFree

	bool tclPlayerSlot::fboPlayerHasSlot( int pinPlayerIndex )
	{
		int vinUserId = vclPlayer.finGetUserIdByIndex( pinPlayerIndex );
		int vinSlot = finFindSlotById( vinUserId );
		return vinSlot >= 0;

	} // tclPlayerSlot::fboPlayerHasSlot

	int tclPlayerSlot::finFindSlotById( int pinUserId )
	{
		for ( int vinIdx = 0; vinIdx < cinMaxPlayerSlots; vinIdx++ )
		{
			if ( vcl_aryPlayer[ vinIdx ].vinUserId == pinUserId )
			{ // match found.
				return vinIdx;
			}
		}
		
		// no match found.
		return cinPlayerSlotNotFound;

	} // tclPlayerSlot::finFindSlotById

	int tclPlayerSlot::finFindSlotByEdict( edict_t* pst_ptrEdict )
	{

		int vinUserId = vclPlayer.finGetUserIdByEdict( pst_ptrEdict );

		if ( vinUserId < 1 )
			return cinPlayerSlotNotFound;

		return finFindSlotById( vinUserId );

	} // tclPlayerSlot::finFindSlotByEdict

	bool tclPlayerSlot::fboSlotIsFree(int pinIdx)
	{
		if (fboSlotIndexIsValid(pinIdx) == false)
		{
			return false;
		}

		return vcl_aryPlayer[pinIdx].fboSlotIsFree();
				
	} // tclPlayerSlot::fboSlotIsFree

	bool tclPlayerSlot::fboSlotIsPublic(int pinIdx)
	{
		if (fboSlotIndexIsValid(pinIdx) == false)
		{
			return false;
		}

		return vcl_aryPlayer[pinIdx].fboSlotIsPublic();
				
	} // tclPlayerSlot::fboSlotIsPublic

	int tclPlayerSlot::fboNumPublicSlots(void)
	{
		int vinNumPublicSlots = 0;

		for (int vinIdx = 0; vinIdx < cinMaxPlayerSlots; vinIdx++)
		{
			if (fboSlotIsPublic(vinIdx))
			{ // A public slot was found - increment count.
				vinNumPublicSlots++;
			}
		}
		
		return vinNumPublicSlots;

	} // tclPlayerSlot::fboNumPublicSlots

	int tclPlayerSlot::fboNumFreePublicSlots(void)
	{
		int vinNumFreePublicSlots = 0;

		for (int vinIdx = 0; vinIdx < cinMaxPlayerSlots; vinIdx++)
		{
			if (fboSlotIsPublic(vinIdx) && fboSlotIsFree(vinIdx))
			{ // A free public slot was found - increment count.
				vinNumFreePublicSlots++;
			}
		}
		
		return vinNumFreePublicSlots;

	} // tclPlayerSlot::fboNumFreePublicSlots

	int tclPlayerSlot::finGetFreePublicSlot(void)
	{
		for (int vinIdx = 0; vinIdx < cinMaxPlayerSlots; vinIdx++)
		{
			if (fboSlotIsFree(vinIdx) 
					&& 
				 fboSlotIsPublic(vinIdx))
			{ // A free public slot found - return index.
				return vinIdx;
			}
		}
		
		// no free public slots were found.
		return cinNoFreePublicSlots;

	} // tclPlayerSlot::finGetFreePublicSlot

	int tclPlayerSlot::finAddPlayer( edict_t *pst_ptrEdict )
	{

		int vinIdx = finFindSlotByEdict( pst_ptrEdict );

		if ( vinIdx >= 0 )
		{	// Player already exists, re-initialize, but do not add again.
			// NOTE: This condition will happen when a player is respawned.

			vcl_aryPlayer[vinIdx].finSetPlayerInfo( pst_ptrEdict );

			return vinIdx;
		}

		vinIdx = finGetFreePublicSlot( );

		if ( vinIdx < 0 )
		{ // No free public slots found.
			finFlushPlayerSlots( );
			vinIdx = finGetFreePublicSlot( );
			if ( vinIdx < 0 )
			{
				return cinNoFreePublicSlots;
			}
		}

		int vinResultCode = vcl_aryPlayer[ vinIdx ].finSetPlayerInfo( pst_ptrEdict );

		if ( vinResultCode < cinSuccessfull )
		{ // Operation was not successfull, return vinResultCode.
			return vinResultCode;
		}

		// Operation was successfull, return assigned slot index.
		return vinIdx;

	} // tclPlayerSlot::finAddPlayer

	int tclPlayerSlot::finRemovePlayer (int pinIdx)
	{
		return finMakeSlotFree (pinIdx);

	} // tclPlayerSlot::finRemovePlayer

	int tclPlayerSlot::finFlushPlayerSlots( void )
	{
		int vinNumSlotsFlushed = 0;
		string vtxMsg;
		int vinUserId;

		for (int vinIdx = 0; vinIdx < cinMaxPlayerSlots; vinIdx++)
		{
			if (!fboSlotIsFree(vinIdx))
			{ // A used slot was found
				
				vinUserId = vcl_aryPlayer[vinIdx].vinUserId;

				if ( vclPlayer.finGetPlayerIndexByUserId( vinUserId ) < 1)
				{ // user not found - free the slot and increment counter.
					vtxMsg = 
						ctxMsgPrefix + "Flushing out slot " + ftxIntToString(vinIdx) +
						" containing User Id " + ftxIntToString(vinUserId) + ".";
					vclDebugTrace.fvoWriteEventInfo (true, vtxMsg);
					finMakeSlotFree (vinIdx);
					vinNumSlotsFlushed++;
				}
			}
		}
		
		return vinNumSlotsFlushed;
	} // finFlushPlayerSlots

	int tclPlayerSlot::finRemovePlayerByEdict
		(edict_t *pst_ptrEdict)
	{
		int vinIdx = finFindSlotByEdict( pst_ptrEdict );

		if (vinIdx < 0)
		{ // Operation was not successfull: vinIdx contains the result code.
			return vinIdx;
		}

		return finMakeSlotFree (vinIdx);

	} // tclPlayerSlot::finRemovePlayerByEdict

	bool tclPlayerSlot::fboPlayerIsSilenced (int pinIdx)
	{
		if (!fboSlotIndexIsValid (pinIdx))
		{
			return false;
		}

		return vcl_aryPlayer[pinIdx].fboPlayerIsSilenced();

	} // tclPlayerSlot::fboPlayerIsSilenced

	bool tclPlayerSlot::fboSetPlayerSilenceFlag (int pinIdx, bool pboSilenced)
	{
		if ( !fboSlotIndexIsValid( pinIdx ) )
		{
			return false;
		}

		vcl_aryPlayer[pinIdx].fvoSetPlayerSilenceFlag(pboSilenced);
		return true;

	} // tclPlayerSlot::fboSetPlayerSilenceFlag

	bool tclPlayerSlot::fboSetPlayerSilenceFlagById( int pinUserId, bool pboSilenced, string ptxReason )
	{
		edict_t* vst_ptrEdict = vclPlayer.fst_ptrGetPlayerByUserId( pinUserId );
		if ( vst_ptrEdict == NULL )
			return false;

		fvoClientPrintChat( vst_ptrEdict, ptxReason ); 
		return fboSetPlayerSilenceFlag ( finFindSlotById( pinUserId ), pboSilenced);

	} // tclPlayerSlot::fboMutePlayerById

	bool tclPlayerSlot::fboPlayerIsSilencedByEdict (edict_t *pst_ptrEdict)
	{
		return fboPlayerIsSilenced( finFindSlotByEdict( pst_ptrEdict ) );

	} // tclPlayerSlot::fboPlayerIsSilencedByEdict 

	bool tclPlayerSlot::fboPlayerIsMuted (int pinIdx)
	{
		if (!fboSlotIndexIsValid (pinIdx))
		{
			return false;
		}

		return vcl_aryPlayer[pinIdx].fboPlayerIsMuted();

	} // tclPlayerSlot::fboPlayerIsMuted

// !! obsolete
//	bool tclPlayerSlot::fboPlayerIsAdmin (int pinIdx)
//	{
//		if ( !fboSlotIndexIsValid( pinIdx ) )
//			return false;
//
//		return vcl_aryPlayer[ pinIdx ].vboIsAdmin;
//
//	} // tclPlayerSlot::fboPlayerIsAdmin

	bool tclPlayerSlot::fboPlayerIsMutedByEdict (edict_t *pst_ptrEdict)
	{
		return fboPlayerIsMuted( finFindSlotByEdict( pst_ptrEdict ) );

	} // tclPlayerSlot::fboPlayerIsMutedByEdict 

// !!obsolete
//	bool tclPlayerSlot::fboPlayerIsAdminByEdict( edict_t *pst_ptrEdict )
//	{
//		return fboPlayerIsAdmin( finFindSlotByEdict( pst_ptrEdict ) );
//
//	} // tclPlayerSlot::fboPlayerIsAdminByEdict 

/* !! remove
	int tclPlayerSlot::finListAdmins( edict_t *pst_ptrEdict )
	{
		int vinAdminCount = 0;
		string vtxMsg = ctxMsgPrefix + "List of available admins:\n";
		fvoConsolePrint( pst_ptrEdict, vtxMsg + "\n" );
		int vinUserId;

		for ( int vinIdx = 0; vinIdx < cinMaxPlayerSlots; vinIdx++ )
		{
			if ( vcl_aryPlayer[ vinIdx ].vboIsAdmin == false )
				continue;
			
			vinAdminCount++;
			vinUserId = vcl_aryPlayer[ vinIdx ].vinUserId;
			vtxMsg = vclPlayer.ftxGetPlayerNameByUserId( vinUserId );
			fvoConsolePrint( pst_ptrEdict, "  Name: " + vtxMsg + "\n" );
		}
		vtxMsg = "\n" + ctxMsgPrefix + "There are " + ftxIntToString( vinAdminCount ) + " admins in game.";
		fvoConsolePrint( pst_ptrEdict, vtxMsg + "\n" );
		return vinAdminCount;

	} // tclPlayerSlot::finListAdmins
*/

	bool tclPlayerSlot::fboSetPlayerMuteFlag( int pinIdx, bool pboMuted )
	{
		if (!fboSlotIndexIsValid (pinIdx))
		{
			return false;
		}

		vcl_aryPlayer[pinIdx].fvoSetPlayerMuteFlag( pboMuted );
		return true;

	} // tclPlayerSlot::fboSetPlayerMuteFlag

	bool tclPlayerSlot::fboSetPlayerMuteFlagById( int pinUserId, bool pboMuted, string ptxReason )
	{
		edict_t* vst_ptrEdict = vclPlayer.fst_ptrGetPlayerByUserId( pinUserId );
		if ( vst_ptrEdict == NULL )
			return false;

		fvoClientPrintChat( vst_ptrEdict, ptxReason ); 
		return fboSetPlayerMuteFlag( finFindSlotById( pinUserId ), pboMuted );
	} // tclPlayerSlot::fboMutePlayerById

	bool tclPlayerSlot::fboIsAllowedOnBotTeam ( int pinIdx )
	{
		if ( !fboSlotIndexIsValid( pinIdx ) )
			return false;

		if ( vcl_aryPlayer[ pinIdx ].fboSlotIsFree( ) )
			return false;

		return vcl_aryPlayer[ pinIdx ].vboAllowedOnBotTeam;

	} // tclPlayerSlot::fboIsAllowedOnBotTeam

	int tclPlayerSlot::finIsAllowedOnClanTeam ( int pinIdx )
	{
		if ( !fboSlotIndexIsValid( pinIdx ) )
			return cinNotSet;

		if ( vcl_aryPlayer[ pinIdx ].fboSlotIsFree( ) )
			return cinNotSet;

		return vcl_aryPlayer[ pinIdx ].vinAllowedOnClanTeam;

	} // tclPlayerSlot::finIsAllowedOnClanTeam

	int tclPlayerSlot::finIsAllowedOffClanTeam ( int pinIdx )
	{
		if ( !fboSlotIndexIsValid( pinIdx ) )
			return cinNotSet;

		if ( vcl_aryPlayer[ pinIdx ].fboSlotIsFree( ) )
			return cinNotSet;

		return vcl_aryPlayer[ pinIdx ].vinAllowedOffClanTeam;

	} // tclPlayerSlot::finIsAllowedOffClanTeam

	bool tclPlayerSlot::fboSetIsAllowedOnBotTeam( int pinIdx, bool pboAllowed )
	{
		if ( !fboSlotIndexIsValid( pinIdx ) )
			return false;
	
		vcl_aryPlayer[ pinIdx ].vboAllowedOnBotTeam = pboAllowed;
		return true;

	} // tclPlayerSlot::fboSetIsAllowedOnBotTeam

	bool tclPlayerSlot::fboSetIsAllowedOnClanTeam( int pinIdx, int pinAllowed )
	{
		if ( !fboSlotIndexIsValid( pinIdx ) )
			return false;
	
		vcl_aryPlayer[ pinIdx ].vinAllowedOnClanTeam = pinAllowed;
		return true;

	} // tclPlayerSlot::fboSetIsAllowedOnClanTeam

	bool tclPlayerSlot::fboSetIsAllowedOffClanTeam( int pinIdx, int pinAllowed )
	{
		if ( !fboSlotIndexIsValid( pinIdx ) )
			return false;
	
		vcl_aryPlayer[ pinIdx ].vinAllowedOffClanTeam = pinAllowed;
		return true;

	} // tclPlayerSlot::fboSetIsAllowedOffClanTeam

	string tclPlayerSlot::ftxGetPlayerName( int pinIdx )
	{
		if (!fboSlotIndexIsValid (pinIdx))
		{
			return "";
		}

		return vcl_aryPlayer[ pinIdx ].ftxPlayerName( );

	} // tclPlayerSlot::ftxGetPlayerName

	string tclPlayerSlot::ftxGetPlayerNameById (int pinUserId)
	{
		return ftxGetPlayerName (finFindSlotById(pinUserId));

	} // tclPlayerSlot::ftxGetPlayerNameById

	string tclPlayerSlot::ftxGetPlayerAuthId (int pinIdx)
	{
		if (!fboSlotIndexIsValid (pinIdx))
			return "";
		return vcl_aryPlayer[pinIdx].ftxPlayerAuthId();

	} // tclPlayerSlot::ftxGetPlayerAuthId

	string tclPlayerSlot::ftxGetPlayerAuthIdById (int pinUserId)
	{
		return ftxGetPlayerAuthId (finFindSlotById(pinUserId));
	} // tclPlayerSlot::ftxGetPlayerAuthIdById

	string tclPlayerSlot::ftxGetPlayerAddressById( int pinUserId )
	{
		int vinIdx = finFindSlotById( pinUserId );
		if ( !fboSlotIndexIsValid( vinIdx ) )
			return "";

		return vcl_aryPlayer[ vinIdx ].ftxPlayerAddress( );

	} // tclPlayerSlot::ftxGetPlayerAddressById

	string tclPlayerSlot::ftxGetPlayerAddress (int pinIdx)
	{
		if (!fboSlotIndexIsValid (pinIdx))
		{
			return "";
		}

		return vcl_aryPlayer[pinIdx].ftxPlayerAddress();

	} // tclPlayerSlot::ftxGetPlayerAddress

	bool tclPlayerSlot::fboPlayerHasMoved
		( int pinIdx, bool& pboInGame, bool& pboIsAlive )
	{

		if (!fboSlotIndexIsValid( pinIdx ) )
		{
			pboInGame = false;
			pboIsAlive = false;
			return false;
		}

		return vcl_aryPlayer[ pinIdx ].fboPlayerHasMoved( pboInGame, pboIsAlive );

	} // tclPlayerSlot::fboPlayerHasMoved

	void tclPlayerSlot::fvoAutoKickAFKPlayers( void )
	{ // Look for a player that has not moved since the last check
	  // was done. Returns UserId of first player that has not moved.

		if ( vboAutoKickAFK == false )
		// Switch is off so there's nothing to do
			return;

		if ( !vclTimer_AFK.fboTimedOut( ) ) 
			return;

		// restart timer
		vclTimer_AFK.fvoStart( vinAutoAFKKickTimeout ); 

		if ( vclMap.fflGetMapTimeLeftInSec( ) <= 0.0 )
		// Map change in progress - don't kick anyone
			return;
		
		bool vboPlayerHasMoved;
		bool vboInGame;
		bool vboIsAlive;
		int vinUserId;
		string vtxUserName;
		string vtxMsg;

		for ( int vinIdx = 0; vinIdx < cinMaxPlayerSlots; vinIdx++ )
		{

//			vtxMsg = "Checking player slot " + ftxIntToString( vinIdx) + "\n";
//			fvoServerPrint( vtxMsg );

			vboPlayerHasMoved = fboPlayerHasMoved( vinIdx, vboInGame, vboIsAlive );
			if ( vboInGame && vboIsAlive && !vboPlayerHasMoved )
			{
				vinUserId = vcl_aryPlayer[ vinIdx ].vinUserId;

				if ( vclPlayer.fboPlayerIsBotByUserId( vinUserId ) )
				// do not kick bots - they sometimes get stuck and are never AFK.
					continue;

				vtxUserName = vclPlayer.ftxGetPlayerNameByUserId( vinUserId );
				vtxMsg = ctxMsgPrefix + vtxUserName + " was auto kicked for not moving.";
				vclPlayer.fboKickPlayerByUserId( vinUserId, "\n\n" + vtxMsg + "\n\n" );
				vclHUD.fvoStatusSay( vtxMsg );
				fvoServerPrint( vtxMsg + "\n" );
			}
			else
			{
//				vtxMsg = "Player at slot " + ftxIntToString( vinIdx) + " was not AFK.\n";
//				fvoServerPrint( vtxMsg );
			}
		}
		
	} // tclPlayerSlot::fvoAutoKickAFKPlayers
/*
	bool tclPlayerSlot::fboKickLowerRank( edict_t* pst_ptrEdict )
	{
		tclUser* vclUser = vclSecurity.finAuthenticate( pst_ptrEdict );

		int vinMinRank = vclUser->vinRank;
		int vinKickIdx	= -1;

		for ( int vinIdx = 0; vinIdx < cinMaxPlayerSlots; vinIdx++ )
		{
			if	( !fboSlotIsFree( vinIdx ) )
			{
				if ( vcl_aryPlayer[ vinIdx ].vinRank < vinMinRank )
				{
					vinMinRank = vcl_aryPlayer[ vinIdx ].vinRank;
					vinKickIdx = vinIdx;
				}
			}
		}

	   if ( vinKickIdx != -1 )
	   {
			string vtxRejectReason = ctxMsgPrefix + "The server is full\n";
			vtxRejectReason += ctxMsgPrefix + vclPlayer.ftxGetPlayerNameByEdict( pst_ptrEdict );
			vtxRejectReason += " was kicked to make room for a higher ranking player.";
			vclPlayer.fboKickPlayerByEdict( pst_ptrEdict, vtxRejectReason );
			return true;
	   }	
		return false;
	} // tclPlayerSlot::fboKickLowestRank
*/
//
//	END.tclPlayerSlot
// *****

	tclTimeBomb::tclTimeBomb( void )
	{
		vinUserId			 = 0;

		vinTickSound1		 = -1;
		vinTickSound2		 = -1;
		vinTickSound3		 = -1;
		vinTickSound4		 = -1;
		vinTickSound5		 = -1;
		vinPlantBombSound  = -1;
		vinNullSound		 = -1;
		vinLastSoundPlayed = vinNullSound;
	}

	void tclTimeBomb::fvoInitSounds( void )
	{
		if ( vinTickSound1 == -1 )
			vinTickSound1 = vclSoundCmdList_System.finFindSoundCmd( "c4_beep1" );
		if ( vinTickSound2 == -1 )
			vinTickSound2 = vclSoundCmdList_System.finFindSoundCmd( "c4_beep2" );
		if ( vinTickSound3 == -1 )
			vinTickSound3 = vclSoundCmdList_System.finFindSoundCmd( "c4_beep3" );
		if ( vinTickSound4 == -1 )
			vinTickSound4 = vclSoundCmdList_System.finFindSoundCmd( "c4_beep4" );
		if ( vinTickSound5 == -1 )
			vinTickSound5 = vclSoundCmdList_System.finFindSoundCmd( "c4_beep5" );
		if ( vinPlantBombSound == -1 )
			vinPlantBombSound	= vclSoundCmdList_System.finFindSoundCmd( "c4_plant" );
		if ( vinNullSound == -1 )
			vinNullSound = vclSoundCmdList_System.finFindSoundCmd( "null" );
		vinLastSoundPlayed = vinNullSound;

	} // tclTimeBomb::fvoInitSounds

	void tclTimeBomb::fvoRemoveTimeBombPlant( void )
	{
		vclPlayerSlot.fboSetPlayerSilenceFlagById( vinUserId, false, "" );
		vinUserId = 0;

		vclTimer_Bomb.fvoStop( );
		vclTimer_Tick.fvoStop( );

		vboRandomPlant = false;

	} // tclTimeBomb::fvoRemoveTimeBombPlant

	void tclTimeBomb::fvoPlayNullSound( void )
	{
		vinLastSoundPlayed = vinNullSound;
		string vtxSoundFile = vclSoundCmdList_System.ftxGetSoundFile( vinNullSound );
		vclPlayer.fboEmitSoundFromPlayerByUserId
			( vinUserId, vtxSoundFile, /* alive only = */ false );

	} // tclTimeBomb::fvoPlayNullSound

	bool tclTimeBomb::fboPlaySound (int pinSound)
	{
		vinLastSoundPlayed = pinSound;
		string vtxSoundFile = vclSoundCmdList_System.ftxGetSoundFile( pinSound );
		bool vboSoundPlayed = 
					vclPlayer.fboEmitSoundFromAlivePlayerByUserId
						(vinUserId, vtxSoundFile);

		if (vboSoundPlayed == false)
		{ // player is either dead or no longer in the game.
			fvoPlayNullSound ();
			fvoRemoveTimeBombPlant ();
		}

		return vboSoundPlayed;

	} // tclTimeBomb::fboPlaySound

	bool tclTimeBomb::fboPlantTimeBombOnUser( int pinUserId, int& pinTimerInSec, string ptxReason )
	{
		
		if ( !vclPlayer.fboPlayerIsAliveByUserId( pinUserId ) )
		{
			return false;
		}

		vinUserId = pinUserId;
		if ( pinTimerInSec <= 0 )
		{
			pinTimerInSec = 0;
			fvoRemoveTimeBombPlant( );
			return true;
		}

		if ( pinTimerInSec < 10 )
			pinTimerInSec = 10;
		else
		if ( pinTimerInSec > 180 )
			pinTimerInSec = 180;

		vclTimer_Bomb.fvoStart( pinTimerInSec );
		vclTimer_Tick.fvoStart( 2 ); // delay for bomb
		vclPlayerSlot.fboSetPlayerSilenceFlagById( vinUserId, true, ptxReason );
		return fboPlaySound( vinPlantBombSound );
		
	} // tclTimeBomb::fboPlantTimeBombOnUser

	bool tclTimeBomb::fboIsTimeBombPlanted (void)
	{
		return vinUserId > 0;
	} // tclTimeBomb::fboIsTimeBombPlanted

	void tclTimeBomb::fvoCountDown (void)
	{
		if ( fboIsTimeBombPlanted( ) == false )
			return;

		if ( vclTimer_Bomb.fboTimedOut( ) == true )
		{
			fvoPlayNullSound( );
			vclPlayer.fboKillPlayerByUserId( vinUserId, "You were killed by the timebomb!" );
			fvoRemoveTimeBombPlant( );
			return;
		}

		if ( vclTimer_Tick.fboTimedOut( ) == false )
		{ // not ready for next sound.
			return;
		}

		float vflTimeLeft = vclTimer_Bomb.fflTimeLeft( );
		
		int vinTickSound;

		if ( vflTimeLeft > 60 )
			vinTickSound = vinTickSound1;
		else
		if ( vflTimeLeft > 30 )
			vinTickSound = vinTickSound2;
		else
		if ( vflTimeLeft > 15 )
			vinTickSound = vinTickSound3;
		else
		if ( vflTimeLeft > 5 )
			vinTickSound = vinTickSound4;
		else
		if ( vflTimeLeft > 0 )
			vinTickSound = vinTickSound5;

		fboPlaySound ( vinTickSound );
		vclTimer_Tick.fvoStart( 1 );
		return;

	} // tclTimeBomb::fvoCountDown

